- name: Create zoox-owned system directories
  file:
    state: directory
    path: "{{ item }}"
    owner: "{{ ansible_user_id }}"
    group: "{{ ansible_user_gid|default(ansible_user_id) }}"
    mode: "0755"
  with_items:
    - "/etc/zoox"
    - "/opt/zoox"
    - "/usr/local/share/zoox"
    - "/home/zoox/INCOMING_LOGS"
  become: yes
